Skip to content

Embedded Payments API (1.0)

The API allows a POS to accept Embedded Payments payments.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Merchants

Operations

Locations

Operations

Connections

Operations

Create Embedded Payments connection

Request

When your App is first initialised, a request is sent to your server to establish a Tyro Embedded Payments connection. This is required to connect to the Embedded Payments reader. Upon receiving the client request, authenticate your user and send the request to Tyro with the readerId in the request body.

Security
JWT
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
Content-Typestringrequired
Value"application/json"
Bodyapplication/json
readerIdstringrequired

The ID of the reader to be used to establish the connection.

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
curl -i -X POST \
  https://api.tyro.com/connect/tap-to-pay/connections \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "readerId": "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
  }'

Responses

Created

Bodyapplication/json
idstring

The ID of this connection

Example: "2688fcf2-44dd-4c72-88ac-79d0910f2983"
connectionSecretstring

The connectionSecret must be returned to your frontend to which is required for Embedded Payments transaction with the SDK. Do not cache or hardcode the connectionSecret. Tyro already manages the lifecycle of this secret.

Example: "$2a$10$OjXTE/Ul4UVVlW8RtKNtcuV3NdoP8sFc.5Lqov0N5wp6vU8Dmj8H3"
createdDatestring(date-time)

The time the connection was created. The format of the date time is the notation as defined by RFC 3339, section 5.6

Example: "2023-05-02T08:28:13+10:00"
readerIdstring

The ID of the reader for this connection.

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
readerNamestring

The name of the reader for this connection.

Example: "Reader 1 - Example Shop Sydney"
locationIdstring

The ID of the location for this connection.

Example: "tc-exampleshop-3000"
locationNamestring

The name of the location, this could be a description or address for the location

Example: "Example Shop Melbourne"
Response
application/json
{ "id": "2688fcf2-44dd-4c72-88ac-79d0910f2983", "connectionSecret": "$2a$10$OjXTE/Ul4UVVlW8RtKNtcuV3NdoP8sFc.5Lqov0N5wp6vU8Dmj8H3", "createdDate": "2023-05-02T08:28:13+10:00", "readerId": "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149", "readerName": "Reader 1 - Example Shop Sydney", "locationId": "tc-exampleshop-3000", "locationName": "Example Shop Melbourne" }

Readers

Operations

Transactions

Operations